using Azure;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace AipGateway.API.Domain.Entities
{
    [Table("TB_AIP_POLICY")]
    public class TbAipPolicy
    {
        [Key]
        [DatabaseGeneratedAttribute(DatabaseGeneratedOption.Identity)]
        public int PolicyId { get; set; }

        [StringLength(255)]
        public string PolicyGuid { get; set; }

        [StringLength(255)]
        public string PolicyName { get; set; }


        [DatabaseGenerated(DatabaseGeneratedOption.Computed)]
        public DateTime CreatedAt { get; set; } = DateTime.Now;
        public bool UseYn { get; set; }
        
        [StringLength(512)]
        public string? PolicyDesc { get; set; }
        public DateTime? DeletedAt { get; set; }

        public override string ToString()
        {
            return "TbAipPolicy{ PolicyId: " + PolicyId + ", PolicyGuid: " + PolicyGuid + ", PolicyName: " + PolicyName + ", CreatedAt: " + CreatedAt + "}";
        }
    }
}
